# Changelog

## [0.1.0]

### Added
 - credits scroller
 - credits song
 - original second title card as credits pic
 - score code calculation for online scores
 - network code, http client over bsdsocket.library
 - after credits menu for online scores
 - happy bobbel and unhappy snail NPCs. plush can be delivered. shell can be delivered.
 - first friendly NPCs. spring is now reachable.
 - check for ECS Denise for border blank for nicer look if available

### Changed
 - internal restructuring
 - debug wallhack is now again compiled in but only accessible via cheat code
 - rised difficulty

### Fixed
 - glitched first frame of gameloop
 - glitched king bobbel frame when dying
 - glitches during copperlist changes
 - music fading glitches
 - checkpoint system when dying on other world
 - checkpoint sound effects when getting hit while touching checkpoint
 - hopefully fixed strange sprite flickering on credits.
 
## [0.0.6]

### Changed
- Massive internal restructuring. Both versions are buildable with one click.
- Release will now contain both versions from now on.
- Version suffix h is hard drive version. Suffix f is floppy trackloader version.
- from now on cheats will be deactivated per default in Releases
- map is temporarily removed from game

## [0.0.5]

### Changed
- game is delivered OS + multitasking friendly in this release
- allocation of system ressources (CIA,Paula,Blitter,View) via OS devices (still hardware banging :-P )
- keyboard input using input device
- game can now be minimized to reach the workbench and resumed when wanted
- replaced busy loop waiting by multitasking friendly signal handling
- can be called from Workbench and CLI
- cheating detection doesn't cause Guru Meditation but will just quit the game.

### Added
- Readme File
- Basic .info files with icons

## [0.0.4]

### Changed
- the world
- king bobbel can now be defeated. Has an actual fighting pattern.

### Added
- jumping mechanic after grabbing the spring (not possible during normal playthrough)
- plush penguin and springs
- dynamic enemy spawning through engine change
- boss music.
- concept of total game time as score (displayed during Pause)
- enemies can interact with. (not much interaction there yet, except king bobbel)
- loading screen
- color cycling on world 2
- crystal parallax on world 2 in multiple scrolling layers
- enemy spiky

### Fixed
- Random Hangup on World change.
- "going into the ceiling" bug on special occasions.

## [0.0.3]

### Changed
- Title Screen with shaded eyes.
- Added primitive Song continue feature to ptplayer lib
- Hot Chili Pepper now has an effects when eaten
- Copper list of title screen shows multiple framebuffers. Second framebuffer shows version information about the build.
- Experimental Slug design with pattern similar to a real leopard slug as shown on title.

### Added
- Checkpoint system and fitting sound effects for that. Activating a Checkpoint heals.
- Second World with Ice Graphics and music piece to suit it.
- Concept of freezing when too cold.
- Proportional font rendering engine using Sans Serif font.
- Dramatic and also epic text boxes.
- Stolen song from Cave Story for text boxes.
- King of Bobbels (König der Killerbriefmarken) enemy added.
- Eye Tracking algorithm.
- P pauses the game.

### Fixed
- Fixed step motor destroying bug in Trackloader.
- Item effects stay when killed.
- Leveldata gets reloaded when game engine restarts (fixes problem with going back to title screen)

### Known Bugs
- King Bobbel Enemy is incomplete and cannot be beaten. Also boss room camera lock stays forever.

## [0.0.2]

### Changed
- Leveldata
- Replaced PtPlayer (by Frank Wille) with new version 5.1 (fixes many issues)

### Added
- HAM6 Titlescreen
- Title Theme
- TitleScreen Sprites to indicate how to continue.
- graphics of snail climbing
- enemy kurgel now has the option of not bouncing in any X direction. just up and down
- sound effects for kurgel bounce
- Interactive Level Elements
- Easter Egg

### Fixed
- Kurgel bounce is now pixel perfect on the ground (walls are a different story maybe)
- Scrolling Jitter
- Snail Physic Failures at corners
- Clipping at top and bottom of screen
- Crash by going left :-P

## [0.0.1]

### Added

- Enemy Kurgel
- Original Level Theme
- DDE5 bootloader (by Photon)
- Eye Pupil using RNG
- Snail Animation System
- Enemy Portal System for better CPU performance
- Health
- Sound Effects
- PtPlayer Routine (by Frank Wille)
- Enemy Quadros
- Sprite Parallax Copper List
- Twomp Enemy
- Fix Point Arithmetics for Player Character and Enemies
- Joystick and Keyboard support
- Blitter Engine inspired by Turrican 1
- Horizontal scrolling engine using 4 Bitplanes
- Enemy Bobbel

## [Initial]

- Used my Amiga C&C game as base

